<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:b="http://bootsfaces.net/ui"
             template="/layout/template.xhtml">

    <h:form>
        <b:dataTable value="#{tokenBean.userTokens}"
                     var="token" responsive="true" scroll-size="400px" order="asc"
                     scroll-x="false" searching="false"
                     caption="Liste de tout les tokens générés">
            <b:dataTableColumn class="max-cell-size" value="#{token.value}" label="Valeur du token"/>
            <b:dataTableColumn class="col-hidden" value="#{tokenBean.getFormatDate(token.creationDate)}" label="Date de création"/>
            <b:dataTableColumn value="#{tokenBean.getFormatDate(token.expirationDate)}" label="Date de d'expiration"/>
            <b:dataTableColumn label="Etat du token">
                <b:label rendered="#{!tokenBean.isExpired(token.value)}" value="Expiré / Désactivé" severity="danger"/>
                <b:label rendered="#{tokenBean.isExpired(token.value)}" value="Valide" severity="success"/>
            </b:dataTableColumn>
        </b:dataTable>
    </h:form>
</ui:fragment>